GETGet account resource
Returns the resource for an account address. You can specify the ledger version of the transaction; if no ledger version is specified, the latest ledger version is returned. Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has been pruned, the server responds with a 410 status code.
The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.
The type name of the target resource (struct) to retrieve.
The ledger version of the transaction to fetch account state from. If no value is provided, the latest version is used.
Current block height of the chain
Example: 0
Chain ID of the current chain
Example: 0
Current epoch of the chain
Example: 0
Oldest unpruned ledger version of the chain
Example: 0
Current timestamp of the chain
Example: 0
Current ledger version of the chain
Example: 0
Oldest unpruned block height of the chain
Example: 0
Cursor for the next page
Example: string
Amount of gas actually used for transaction execution
Example: 0
String representation of a Move struct tag. This type exists to allow MoveStructTag to be specified as a path or query parameter (e.g. used in get_events_by_event_handle). This value is composed of:
- move_module_address, module_name, struct_name joined by two colons (::)
- Generic type parameters of the struct specified as comma-separated values Examples:
0x1::coin::CoinStore<0x1::aptos_coin::aptosCoin>0x1::account::Account
Partial data from within an account resource, displayed in JSON representation. Specifically, a map with the top-level field keys of the given resource as keys and arbitrary JSON values/objects as values.
- Move bool type: Converted to boolean.
- u8~i32: Converted to integer.
- u64~i256: Converted to string.
- address: Converted to HexEncodedBytes string (e.g. 0x1).
- Struct: Converted to object.
- vector: Converted to array.
- However, vector is converted to a HexEncodedBytes string starting with 0x.
- 0x1::string::String: Converted to regular string.
Example: [object Object]